"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const spec_1 = require("@specron/spec");
const spec = new spec_1.Spec();
spec.test('checks correct token custom', (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const accounts = yield ctx.web3.eth.getAccounts();
    const tokenCustom = yield ctx.deploy({
        src: './build/token-custom.json',
        contract: 'TokenCustom',
        args: [
            'Foo',
            'F',
            '50000000000000000000000',
            '18',
            accounts[3],
        ],
    });
    const ownerBalance = yield tokenCustom.instance.methods.balanceOf(accounts[3]).call();
    const contractName = yield tokenCustom.instance.methods.name().call();
    ctx.is(ownerBalance, '50000000000000000000000');
    ctx.is(contractName, 'Foo');
}));
exports.default = spec;
//# sourceMappingURL=token-custom.test.js.map