"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const spec_1 = require("@specron/spec");
const spec = new spec_1.Spec();
spec.before((ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const accounts = yield ctx.web3.eth.getAccounts();
    ctx.set('owner', accounts[0]);
    ctx.set('bob', accounts[1]);
    ctx.set('jane', accounts[2]);
}));
spec.beforeEach((ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const tokenDeployProxy = yield ctx.deploy({
        src: './build/token-deploy-proxy.json',
        contract: 'TokenDeployProxy',
    });
    ctx.set('tokenDeployProxy', tokenDeployProxy);
}));
spec.test('deploys a Token', (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const tokenDeployProxy = ctx.get('tokenDeployProxy');
    const bob = ctx.get('bob');
    const accounts = yield ctx.web3.eth.getAccounts();
    yield ctx.notThrows(() => tokenDeployProxy.instance.methods.deploy('Foo', 'F', '50000000000000000000000', '18', accounts[3]).send({ from: bob }));
}));
exports.default = spec;
//# sourceMappingURL=token-deploy-proxy.test.js.map