"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@0xcert/ethereum-xcert-contracts/src/core/types");
const spec_1 = require("@specron/spec");
const spec = new spec_1.Spec();
spec.test('checks correct deploy', (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const accounts = yield ctx.web3.eth.getAccounts();
    const xcertCustom = yield ctx.deploy({
        src: './build/xcert-custom.json',
        contract: 'XcertCustom',
        args: [
            'Foo',
            'F',
            'uri prefix',
            'uri postfix',
            '0x9c22ff5f21f0b81b113e63f7db6da94fedef11b2119b4088b89664fb9a3cb658',
            ['0x9d118770', '0x0d04c3b8', '0xbedb86fb', '0x20c5429b'],
            [accounts[2], accounts[3], accounts[4], accounts[5], accounts[6], accounts[7]],
        ],
    });
    const senderSuperAbility = yield xcertCustom.instance.methods.isAble(accounts[0], 1).call();
    const ownerSuperAbility = yield xcertCustom.instance.methods.isAble(accounts[2], 1).call();
    const proxyCreateAssetAbility = yield xcertCustom.instance.methods.isAble(accounts[3], types_1.XcertAbilities.CREATE_ASSET).call();
    const proxyUpdateAssetAbility = yield xcertCustom.instance.methods.isAble(accounts[4], types_1.XcertAbilities.UPDATE_ASSET_IMPRINT).call();
    const proxyAbilatableManageAbility = yield xcertCustom.instance.methods.isAble(accounts[5], types_1.XcertAbilities.MANAGE_ABILITIES).call();
    const nftSafeTransferProxyApproved = yield xcertCustom.instance.methods.isApprovedForAll(accounts[2], accounts[6]).call();
    const xcertBurnProxyApproved = yield xcertCustom.instance.methods.isApprovedForAll(accounts[2], accounts[7]).call();
    ctx.false(senderSuperAbility);
    ctx.true(ownerSuperAbility);
    ctx.true(proxyCreateAssetAbility);
    ctx.true(proxyUpdateAssetAbility);
    ctx.true(proxyAbilatableManageAbility);
    ctx.true(proxyAbilatableManageAbility);
    ctx.true(nftSafeTransferProxyApproved);
    ctx.true(xcertBurnProxyApproved);
}));
exports.default = spec;
//# sourceMappingURL=xcert-custom.test.js.map