"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const spec_1 = require("@specron/spec");
const spec = new spec_1.Spec();
spec.before((ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const accounts = yield ctx.web3.eth.getAccounts();
    ctx.set('owner', accounts[0]);
    ctx.set('bob', accounts[1]);
    ctx.set('jane', accounts[2]);
}));
spec.beforeEach((ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const xcertDeployProxy = yield ctx.deploy({
        src: './build/xcert-deploy-proxy.json',
        contract: 'XcertDeployProxy',
    });
    ctx.set('xcertDeployProxy', xcertDeployProxy);
}));
spec.test('deploys an Xcert', (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const xcertDeployProxy = ctx.get('xcertDeployProxy');
    const bob = ctx.get('bob');
    const accounts = yield ctx.web3.eth.getAccounts();
    yield ctx.notThrows(() => xcertDeployProxy.instance.methods.deploy('Foo', 'F', 'uri prefix', 'uri postfix', '0x9c22ff5f21f0b81b113e63f7db6da94fedef11b2119b4088b89664fb9a3cb658', ['0x9d118770', '0x0d04c3b8', '0xbedb86fb', '0x20c5429b'], [accounts[2], accounts[3], accounts[4], accounts[5], accounts[6], accounts[7]]).send({ from: bob }));
}));
exports.default = spec;
//# sourceMappingURL=xcert-deploy-proxy.test.js.map